%define kdeprefix /usr
%define qtdir /usr/lib/qt-1.44
%define version 1.0beta2
%define kdename kdevelop
%define kderelease 1

Name: %{kdename}
Summary: Integrated Development Environment for C++/C
Version: %{version}
Release: %{kderelease}
Source: http://fara3.cs.uni-potsdam.de/~smeier/kdevelop_home/kdevelop-%{version}.tar.gz
URL: http://www.kdevelop.org/
Group: Development/Tools
BuildRoot: /var/tmp/%{kdename}-buildroot
License: KDevelop Team, GPL
Requires: kdesupport kdelibs-devel egcs make perl >= 5.004 autoconf >= 2.13
Requires: automake >= 1.4 flex >= 2.5.4
Prefix: %{kdeprefix}

%description
The KDevelop Integrated Development Environment provides many features
that developers need as well as providing a unified interface to programs
like gdb, the C/C++ compiler, and make. KDevelop manages or provides:

All development tools needed for C++ programming like Compiler,
Linker, automake and autoconf; KAppWizard, which generates complete,
ready-to-go sample applications; Classgenerator, for creating new
classes and integrating them into the current project; File management
for sources, headers, documentation etc. to be included in the
project; The creation of User-Handbooks written with SGML and the
automatic generation of HTML-output with the KDE look and feel;
Automatic HTML-based API-documentation for your project's classes with
cross-references to the used libraries; Internationalization support
for your application, allowing translators to easily add their target
language to a project;

KDevelop also includes WYSIWYG (What you see is what you get)-creation
of user interfaces with a built-in dialog editor; Debugging your
application by integrating KDbg; Editing of project-specific pixmaps
with KIconEdit; The inclusion of any other program you need for
development by adding it to the "Tools"-menu according to your
individual needs.

%prep
rm -rf $RPM_BUILD_ROOT

%setup -q

%build
export QTDIR=%{qtdir}
./configure \
	--prefix=%{kdeprefix} \
	--with-install-root=$RPM_BUILD_ROOT \
	--with-qtdoc-dir=/usr/doc/qt-devel-1.44 \
	--with-kdelibsdoc-dir=/usr/doc/kdelibs-devel-1.1.2 \
	--with-kdocindex-dir=/usr/doc/kdelibs-devel-1.1.2 \
	--enable-kdoc2

make CXXFLAGS="$RPM_OPT_FLAGS -DNO_DEBUG -DNDEBUG"

%install
make install-strip

cd $RPM_BUILD_ROOT
find . -type d | sed '1,2d;s,^\.,\%attr(-\,root\,root) \%dir ,' > \
	$RPM_BUILD_DIR/file.list.%{kdename}

find . -type f | sed -e 's,^\.,\%attr(-\,root\,root) ,' \
	-e '/\/config\//s|^|%config|' >> \
	$RPM_BUILD_DIR/file.list.%{kdename}

find . -type l | sed 's,^\.,\%attr(-\,root\,root) ,' >> \
	$RPM_BUILD_DIR/file.list.%{kdename}

%clean
rm -rf $RPM_BUILD_ROOT $RPM_BUILD_DIR/file.list.%{kdename}

%files -f ../file.list.%{kdename}

%changelog
* Thu Sep 09 1999 Preston Brown <pbrown@redhat.com>
- initial packaging for 6.1.
